{
  "name": "@os-team/next-nprogress",
  "version": "1.0.38",
  "license": "MIT",
  "repository": "git@gitlab.com:os-team/libs/next.git",
  "type": "module",
  "main": "./dist/index.js",
  "types": "./dist/index.d.ts",
  "files": [
    "dist",
    "src"
  ],
  "scripts": {
    "clean": "rimraf dist",
    "build": "yarn clean && tsc --outDir dist",
    "ncu": "ncu -u '/^(?!(react|@types/react|react-dom|@types/react-dom)$).*$/'"
  },
  "publishConfig": {
    "access": "public"
  },
  "resolutions": {
    "@types/react": "^18.3.14",
    "@types/react-dom": "^18.3.2"
  },
  "dependencies": {
    "@emotion/serialize": "^1.3.3",
    "@os-design/theming": "^1.0.62",
    "nprogress": "^0.2.0"
  },
  "devDependencies": {
    "@emotion/react": ">=11",
    "@os-design/theming": "^1.0.62",
    "@types/nprogress": "^0.2.3",
    "@types/react": "^18.3.14",
    "@types/react-dom": "^18.3.2",
    "next": ">=15",
    "react": "18",
    "react-dom": "18"
  },
  "peerDependencies": {
    "@emotion/react": ">=11",
    "next": ">=13",
    "react": "18",
    "react-dom": "18"
  }
}
